# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'persisto/version'

Gem::Specification.new do |spec|
  spec.name          = "persisto"
  spec.version       = Persisto::VERSION
  spec.authors       = ["Erik Lott"]
  spec.email         = ["erik.lott@kodio.com"]
  spec.description   = %q{Kodio lightweight data access layer for ruby}
  spec.summary       = %q{Kodio lightweight data access layer for ruby}
  spec.homepage      = ""
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_dependency "sequel", "~> 4.3.0"

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "mocha", "~> 0.14.0"
end
