require 'spec_helper'
require 'persisto/adaptors/pg'

describe Persisto::Pg do
	let(:database) { stub }
	let(:adaptor) { Persisto::Pg.new(database) }
	
	describe '#select' do
		let(:sql){ 'sql' }
		let(:query_object){ stub(:query => sql) }
		let(:dataset){ stub }
		let(:data){ stub }

		it 'returns data array' do
			database.expects(:fetch).with(sql).returns(dataset)
			dataset.expects(:all).returns(data)
			adaptor.select(query_object).must_equal data
		end
	end
end